#include "node.h"
#include <iostream>
using namespace std;

Node::Node(int d,Node* n)
    : data(d), next(n)
{ }

int Node::get_data() const
{
    return data;
}

Node* Node::get_next() const
{
    return next;
}

void Node::set_next(Node* ptr)
{
    next = ptr;
}

ostream& operator<<(ostream& out, const Node& obj)
{
    out << obj.get_data();
    return out;
}
